Attribute VB_Name = "CenterForms"
Option Explicit

'*************************************************************************
'* Function: CenterForm(WhatForm As Form)
'*
'*
'*************************************************************************
'* Description: Center a form in the center of the screen.
'*
'*
'*************************************************************************
'* Parameters: Form to center
'*
'*************************************************************************
'* Notes:
'*
'*************************************************************************
'* Returns: None
'*************************************************************************
Sub CenterForm(WhatForm As Form)

    If WhatForm.WindowState <> 0 Then Exit Sub
    
    WhatForm.Move (Screen.Width - WhatForm.Width) \ 2, (Screen.Height - WhatForm.Height) \ 2
    
End Sub
'*************************************************************************
'* Function: CenterMDIChild(frmParent As Form, frmChild As Form)
'*
'*
'*************************************************************************
'* Description: Centers a child form within a parent MDI form.
'*
'*
'*************************************************************************
'* Parameters: ParentMDI, Child Form
'*
'*************************************************************************
'* Notes:
'*
'*************************************************************************
'* Returns: None
'*************************************************************************
Sub CenterMDIChild(frmParent As Form, frmChild As Form)
Dim TTop As Integer, LLeft As Integer
    
    'Check to see if not minimized.
    If frmParent.WindowState <> 0 Or frmChild.WindowState <> 0 Then Exit Sub
    
    TTop = (frmParent.ScaleHeight - frmChild.Height) \ 2
    LLeft = (frmParent.ScaleWidth - frmChild.Width) \ 2
    
    If TTop And LLeft Then
        frmChild.Move LLeft, TTop
    End If
End Sub


